Eclipse: boot infinito

6 risposte [Ultimo contenuto]
Ritratto di Boscagoo
Boscagoo
(Junior)
Offline
Junior
Iscritto: 06/10/2011
Messaggi: 32

Salve a tutti, sto cercando di far partire disperatamente Eclipse dalla mia distro Debian Squeeze. Ho provato a lanciarlo dal menu Applicazioni ma mi rimane il caricamento del logo e non va avanti. Ho provato da terminale sia da root che da user ma nulla, solito problema. Ho provato disinstallarlo e reinstallarlo ma niente da fare. Qualcuno sa aiutarmi?

EDIT: Bingo Angry

Citazione:


!SESSION 2011-12-08 15:38:39.187 -----------------------------------------------
eclipse.buildId=M20100211-1343
java.fullversion=GNU libgcj 4.4.5
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=it_IT
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.eclipse.osgi 4 0 2011-12-08 15:54:19.346
!MESSAGE Application error
!STACK 1
java.lang.reflect.InvocationTargetException
at java.lang.reflect.Method.invoke(libgcj.so.10)
at org.eclipse.ui.internal.WorkbenchPlugin.getSplashShell(WorkbenchPlugin.java:1277)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:93)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:194)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at java.lang.reflect.Method.invoke(libgcj.so.10)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
at org.eclipse.equinox.launcher.Main.main(Main.java:1287)
Caused by: org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:3910)
at org.eclipse.swt.SWT.error(SWT.java:3799)
at org.eclipse.swt.SWT.error(SWT.java:3770)
at org.eclipse.swt.widgets.Widget.error(Widget.java:450)
at org.eclipse.swt.widgets.Shell.createHandle(Shell.java:684)
at org.eclipse.swt.widgets.Widget.createWidget(Widget.java:397)
at org.eclipse.swt.widgets.Control.createWidget(Control.java:527)
at org.eclipse.swt.widgets.Scrollable.createWidget(Scrollable.java:152)
at org.eclipse.swt.widgets.Decorations.createWidget(Decorations.java:240)
at org.eclipse.swt.widgets.Shell.(Shell.java:278)
at org.eclipse.swt.widgets.Shell.internal_new(Shell.java:381)
at java.lang.reflect.Method.invoke(libgcj.so.10)
...12 more
Root exception:
org.eclipse.swt.SWTError: No more handles
at org.eclipse.swt.SWT.error(SWT.java:3910)
at org.eclipse.swt.SWT.error(SWT.java:3799)
at org.eclipse.swt.SWT.error(SWT.java:3770)
at org.eclipse.swt.widgets.Widget.error(Widget.java:450)
at org.eclipse.swt.widgets.Shell.createHandle(Shell.java:684)
at org.eclipse.swt.widgets.Widget.createWidget(Widget.java:397)
at org.eclipse.swt.widgets.Control.createWidget(Control.java:527)
at org.eclipse.swt.widgets.Scrollable.createWidget(Scrollable.java:152)
at org.eclipse.swt.widgets.Decorations.createWidget(Decorations.java:240)
at org.eclipse.swt.widgets.Shell.(Shell.java:278)
at org.eclipse.swt.widgets.Shell.internal_new(Shell.java:381)
at java.lang.reflect.Method.invoke(libgcj.so.10)
at org.eclipse.ui.internal.WorkbenchPlugin.getSplashShell(WorkbenchPlugin.java:1277)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:93)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:194)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at java.lang.reflect.Method.invoke(libgcj.so.10)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
at org.eclipse.equinox.launcher.Main.main(Main.java:1287)

!ENTRY org.eclipse.osgi 2 0 2011-12-08 15:54:19.967
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-12-08 15:54:19.967
!MESSAGE Bundle org.eclipse.jdt.apt.pluggable.core_1.0.201.R35x_v20090925-1100 [101] was not resolved.
!SUBENTRY 2 org.eclipse.jdt.apt.pluggable.core 2 0 2011-12-08 15:54:19.967
!MESSAGE Missing imported package org.eclipse.jdt.internal.compiler.tool_0.0.0.
!SUBENTRY 2 org.eclipse.jdt.apt.pluggable.core 2 0 2011-12-08 15:54:19.967
!MESSAGE Missing imported package org.eclipse.jdt.internal.compiler.apt.dispatch_0.0.0.
!SUBENTRY 2 org.eclipse.jdt.apt.pluggable.core 2 0 2011-12-08 15:54:19.967
!MESSAGE Missing imported package org.eclipse.jdt.internal.compiler.apt.model_0.0.0.
!SUBENTRY 2 org.eclipse.jdt.apt.pluggable.core 2 0 2011-12-08 15:54:19.967
!MESSAGE Missing imported package org.eclipse.jdt.internal.compiler.apt.util_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-12-08 15:54:19.967
!MESSAGE Bundle org.eclipse.jdt.compiler.apt_1.0.201.R35x_v20090925-1100 [103] was not resolved.
!SUBENTRY 2 org.eclipse.jdt.compiler.apt 2 0 2011-12-08 15:54:19.967
!MESSAGE Missing imported package org.eclipse.jdt.internal.compiler.tool_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-12-08 15:54:19.967
!MESSAGE Bundle org.eclipse.jdt.compiler.tool_1.0.100.v_981_R35x [104] was not resolved.

che è sta roba? Non la mastico molto bene...

Ritratto di homeless
homeless
(Guru)
Offline
Guru
Iscritto: 21/10/2011
Messaggi: 1453

Ciao,
Installa il pacchetto sun-java6-jdk

Ritratto di Boscagoo
Boscagoo
(Junior)
Offline
Junior
Iscritto: 06/10/2011
Messaggi: 32

E' installato, se non ci fosse mi metterebbe un avviso che non trova l'ambiente jdk di java Smile

Ritratto di homeless
homeless
(Guru)
Offline
Guru
Iscritto: 21/10/2011
Messaggi: 1453

Dal log che hai inviato risulta:

java.fullversion=GNU libgcj 4.4.5

Sei sicuro di aver installato la JDK di Sun (ora Oracle) ?

Ritratto di Boscagoo
Boscagoo
(Junior)
Offline
Junior
Iscritto: 06/10/2011
Messaggi: 32

Citazione:


root@zerus:/home/mikey# apt-get install sun-java6-jdk
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
sun-java6-jdk è già alla versione più recente.
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.

se la reinstallo e:

Citazione:


root@zerus:/home/mikey# java -version
java version "1.5.0"
gij (GNU libgcj) version 4.4.5

Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


la versione...mi pare a posto! Smile

EDIT: No...la variabile d'ambiente...uffa!

Ritratto di homeless
homeless
(Guru)
Offline
Guru
Iscritto: 21/10/2011
Messaggi: 1453

Se lo desideri, puoi impartire il comando (come utente root) per configurare di default la versione Sun della JVM:

# update-java-alternatives -s java-6-sun

Ritratto di Boscagoo
Boscagoo
(Junior)
Offline
Junior
Iscritto: 06/10/2011
Messaggi: 32

homeless ha scritto:

Se lo desideri, puoi impartire il comando (come utente root) per configurare di default la versione Sun della JVM:

# update-java-alternatives -s java-6-sun


certo Smile ho proprio lanciato quel comando Smile grazie! Se non avessi fatto il java -version non l'avrei mai capito Smile